import {LangObj} from "./i18nRoot";
import * as React from 'react'

export const lang_en: LangObj = {

  //---pagination
  "Total items": "Total items",
  "Rows per page": "Rows per page",
  //--- common
  "Next": "Next",
  "Previous": "Previous",
  "There is an option issue with this feature/function:": "There is an option issue with this feature/function:",
  "Yes": "Yes",
  "No": "No",
  "Ok": "Ok",
  "Internal error (see console)": "Internal error (see console)",
  "Error": "Error",
  "Warning": "Warning",
  "Add": "Add",
  "Result": "Result",
  "Other": "Other",
  "Save": "Save",
  "Change": "Change",
  "Edit" : "Edit",
  "Manage": "Manage",
  "Delete": "Delete",
  "Cancel": "Cancel",
  "Open": "Open",
  "Close": "Close",
  "Copy": "Copy",
  "Resume": "Resume",
  "Version" : "Version",
  "To resume click the button. This will set the clipboard content to a single whitespace.": "To resume click the button. This will set the clipboard content to a single whitespace.",
  "Is release open": "Is release open",
  "Hints": "Hints",
  "Text": "Text",
  "Icon": "Icon",
  "Server error": "Server error",
  "Language": "Language",
  "Miscellaneous": "Miscellaneous",
  "Discard": "Discard",
  "Created at": "Created at",
  "Last updated at": "Last updated at",
  "Last login at": "Last login at",
  "Information": "Information",
  "Search": "Search",
  "Link" : "Link",
  "Will only select all items on the current page": "Will only select all items on the current page",
  "Could not load site data": "Could not load site data",
  "It seems like you have some unsaved changes. Are you really sure you want to logout?": "It seems like you have some unsaved changes. Are you really sure you want to logout?",
  "You might have some unsaved changes. Are you sure you want to logout?" : "You might have some unsaved changes. Are you sure you want to logout?",
  "No permission" : "No permission",
  "Click to clear": "Click to clear",
  "Could not connect to the server (the server might be offline), probably a server maintenance is the reason. If the problem persists, contact:" : "Could not connect to the server (the server might be offline), probably a server maintenance is the reason. If the problem persists, contact:",
  "Could not connect to the server (the server might be offline), probably a server maintenance is the reason. You can keep this tab open (e.g. if you have unsaved changes) and try it later again. Every action that requires connecting to the server will do the state check. If the problem persists, contact:": "Could not connect to the server (the server might be offline), probably a server maintenance is the reason. You can keep this tab open (e.g. if you have unsaved changes) and try it later again. Every action that requires connecting to the server will do the state check. If the problem persists, contact:",
  "Shortcut: ctrl+0/cmd+0. Resets the quick-zoom to the zoom in the editor settings. Note that the quick-zoom is not persistent" : "Shortcut: ctrl+0/cmd+0. Resets the quick-zoom to the zoom in the editor settings. Note that the quick-zoom is not persistent",
  "Shortcut: ctrl++/cmd++" : "Shortcut: ctrl++/cmd++",
  "Shortcut: ctrl+-/cmd+-" : "Shortcut: ctrl+-/cmd+-",
  "Could not get the server time, thus the displayed (left) times are probably wrong. The server is probably offline." : "Could not get the server time, thus the displayed (left) times are probably wrong. The server is probably offline.",
  "Print the current file only" : "Print the current file only",
  "Print all files, one per page" : "Print all files, one per page",
  "Print all files consecutively" : "Print all files consecutively",
  "Select an option...": "Select an option...",
  "Owner" : "Owner",
  "Owner was not loaded, id:" : "Owner was not loaded, id:",
  "Privacy policy" : "Privacy policy",
  "Download personal data" : "Download personal data",
  "This will download all your personal data that we store into a zip file. This can take some time!" : "This will download all your personal data that we store into a zip file. This can take some time!",
  "Copyright page" : "Copyright page",
  "About page" : "About page",

  "Password and Password again were different": "Password and Password-Again were different",

  //--- error messages
  "Field must not be empty or just whitespaces": "Field must not be empty or just whitespaces",
  "Invalid editor theme": "Invalid editor theme",
  "Invalid option, take other": "Invalid option, take other",
  "Field value is not a valid email": "Field value is not a valid email",
  "Available working time must be set and >= 1": "Available working time must be set and >= 1",

  //dialogs
  "Delete custom test": "Delete custom test",
  "Are you sure you want to delete the custom test?": "Are you sure you want to delete the custom test?",
  "Reset code": "Reset code",
  "Are you sure you want to reset your code to the template?": "Are you sure you want to reset your code to the template?",
  "Are you sure you want to reset your code to your submitted solution?": "Are you sure you want to reset your code to your submitted solution?",
  "Are you sure you want to delete the group role?": "Are you sure you want to delete the group role?",
  "This is a default group role and cannot be deleted" : "This is a default group role and cannot be deleted",
  "Leave group": "Leave group",
  "Are you sure you want to leave the group?": "Are you sure you want to leave the group?",
  "Delete group": "Delete group",
  "Are you sure you want to delete the group? This will also delete all exercises (and connected releases) managed by this group.": "Are you sure you want to delete the group? This will also delete all exercises (and connected releases) managed by this group.",
  "Delete new user": "Delete new user",
  "Are you sure you want to delete the new user?": "Are you sure you want to delete the new user?",
  "Activated selected user(s)": "Activated selected user(s)",
  "Are you sure you want to activate the selected user(s)?": "Are you sure you want to activate the selected user(s)?",
  "Delete not activated user(s)": "Delete not activated user(s)",
  "Are you sure you want to delete the not activated user(s)?": "Are you sure you want to delete the not activated user(s)?",
  "Delete activated user": "Delete activated user",
  "Are you sure you want to delete the activated user?": "Are you sure you want to delete the activated user?",
  "Are you really sure you want to delete the activated user? This cannot be undone and all data connected to the user is also deleted (solutions, tests, custom projects, ...)! Note that this operation can still fail if the user has a solution for a locked exercise!" : "Are you really sure you want to delete the activated user? This cannot be undone and all data connected to the user is also deleted (solutions, tests, custom projects, ...)! Note that this operation can still fail if the user has a solution for a locked exercise!",
  "Delete tag": "Delete tag",
  "Are you sure you want to delete the tag?": "Are you sure you want to delete the tag?",
  "Release user from group": "Release user from group",
  "Are you sure you want to release the user from this group?": "Are you sure you want to release the user from this group?",
  "Release multiple users from group": "Release multiple users from group",
  "Are you sure you want to release multiple users from this group?": "Are you sure you want to release multiple users from this group?",
  "Delete system role": "Delete system role",
  "Are you sure you want to delete the system role?": "Are you sure you want to delete the system role?",
  "Reset code to submission": "Reset code to submission",
  "Are your sure you want to reset the code to the submissions code?": "Are your sure you want to reset the code to the submissions code?",
  "Reset code to subsequent editor" : "Reset code to subsequent editor",
  "Are your sure you want to reset the code to the subsequent editor code?" : "Are your sure you want to reset the code to the subsequent editor code?",
  "Delete exercise": "Delete exercise",
  "Are you sure you want to delete the exercise?": "Are you sure you want to delete the exercise?",
  "Are you sure you want to re-run all automatic assessments?": "Are you sure you want to re-run all automatic assessments?",
  "Delete release": "Delete release",
  "Are you sure you want to delete the release? This will also delete all submissions (including assessments)!": "Are you sure you want to delete the release? This will also delete all submissions (including assessments)!",
  "Reset password": "Reset password",
  "Are you sure you want to reset the password?": "Are you sure you want to reset the password?",
  "Add users to group": "Add users to group",
  "Are you sure you want to add the selected user(s) to the group?": "Are you sure you want to add the selected user(s) to the group?",
  "Delete file": "Delete file",
  "Are you sure you want to delete the file": "Are you sure you want to delete the file", //question mark is added manually
  "Recover files": "Recover files",
  "If you press 'Yes' then the new files from your browser are taken. If you press 'No' then the files from server are taken. If you regret your decision you can reload the page and the question will be asked again.": "If you press 'Yes' then the new files from your browser are taken. If you press 'No' then the files from server are taken. If you regret your decision you can reload the page and the question will be asked again.",
  "Are you sure you want to lock the current exercise permanently? You cannot longer update or delete the exercise or any dependent entities. This means pending releases (automatic) will not be released, releases for this exercise cannot be created, updated or deleted. Pending assessments for solutions to this exercise will not run and tutors will not be able to update the assessments. Any changes you made to this exercise (in this view) before clicking this button will not be applied because the exercise then then locked! The exercise will be visible in the group (if not already) and you will not be longer the owner. The exercise will be locked in the group: " : "Are you sure you want to lock the current exercise permanently? You cannot longer update or delete the exercise or any dependent entities. This means pending releases (automatic) will not be released, releases for this exercise cannot be created, updated or deleted. Pending assessments for solutions to this exercise will not run and tutors will not be able to update the assessments. Any changes you made to this exercise (in this view) before clicking this button will not be applied because the exercise then then locked! The exercise will be visible in the group (if not already) and you will not be longer the owner. The exercise will be locked in the group: ",
  "Are you really sure you want to lock this exercise? This cannot be reverted!" : "Are you really sure you want to lock this exercise? This cannot be reverted!",

  "You cannot longer update or delete the exercise or any dependent entities. This means pending releases (automatic) will not be released, releases for this exercise cannot be created,updated or deleted. Pending assessments for solutions to this exercise will not run and tutors will not be able to update the assessments." : "You cannot longer update or delete the exercise or any dependent entities. This means pending releases (automatic) will not be released, releases for this exercise cannot be created,updated or deleted. Pending assessments for solutions to this exercise will not run and tutors will not be able to update the assessments.",

  "Detach file" : "Detach file",
  "Are you sure you want to detach the file? If this file is not connected to another exercise the fille will get deleted!" : "Are you sure you want to detach the file? If this file is not connected to another exercise the fille will get deleted!",

  //--- abbreviations
  "h": "h",
  "m": "m",
  "s": "s",
  "days" : "days",
  "day" : "day",

  "ms": "ms",
  "kb": "kb",

  //--- editor settings
  "Change Editor settings": "Change Editor settings",
  "Theme": "Theme",
  "Light": "Light",
  "Dark": "Dark",
  "We use cookies to store information across sessions.<br /> By signing in you agree to": "We use cookies to store information across sessions.<br /> By signing in you agree to",
  "Note that an admin needs to activate your account manually after registration" : "Note that an admin needs to activate your account manually after registration",
  "our use of cookies.": "our use of cookies.",
  'Default light': 'Default light',
  'Default dark': 'Default dark',
  "Font size": "Font size",
  "Tab size": "Tab size",
  "Show line numberrs": "Show line numberrs",
  "Use wrapping": "Use wrapping",
  "visual line break": "visual line break",
  "Show line indentations": "Show line indentations",
  "Loading ...": "Loading ...",

  //--- login/sign in form
  "Wrong username or password": "Wrong username or password",
  "Login": "Login",
  "Username": "Username",
  "Password": "Password",
  "Forgot Password?": "Forgot Password?",
  "Talk to the tutor, he/she will reset your password.": "Talk to the tutor, he/she will reset your password.",
  "Sign In": "Sign In",
  "Register": "Register",

  //--- register/sign up form
  "The password and the again password don't match.": "The password and the again password don't match.",
  "Registered": "Registered",
  "Register was successful but the Admin needs to activate your account.": "Register was successful but the Admin needs to activate your account.",
  "Id": "Id",
  "Token": "Token",
  "Password again": "Password again",
  "First name": "First name",
  "Last name": "Last name",
  "Email": "Email",

  //--- code editor wrapper
  "This is the main file": "This is the main file",
  "The file content is hidden" : "The file content is hidden",
  "This file was changed since last save": "This file was changed since last save",
  "At least one file has changed": "At least one file has changed",
  "This file is readonly": "This file is readonly",
  "No file selected": "No file selected",
  "No files": "No files",

  //--- site header bar / site menu
  "Exercises": "Exercises",
  "Manage exercises": "Manage exercises",
  "Manage users": "Manage users",
  "Manage groups": "Manage groups",
  "All open exercises": "All open exercises",
  "All closed exercises": "All closed exercises",
  "Own exercises": "Own exercises",
  "Group exercises": "Group exercises",
  "Groups": "Groups",
  "Group roles": "Group roles",
  "Manage new users": "Manage new users",
  "Manage activated users": "Manage activated users",
  "System roles": "System roles",
  "System role": "System role",
  "Settings": "Settings",
  "Logout error": "Logout error",
  "Log": "Log",
  "Logout": "Logout",
  "Home": "Home",
  "Dashboard": "Dashboard",
  "Open exercises via code": "Open exercises via code",
  "Open exercises via visibility": "Open exercises via visibility",
  "Closed exercises via code": "Closed exercises via code",
  "Closed exercises via visibility": "Closed exercises via visibility",
  "New exercise": "New exercise",
  "Manage Tags": "Manage Tags",
  "About": "About",

  //--- about site
  "YAPEX": "YAPEX",
  "YAPEX is a system for programming language independent, automatic testing and assessment of exercises.": "YAPEX is a system for programming language independent, automatic testing and assessment of exercises.",
  "Design": "Design",
  "Frameworks": "Frameworks",
  "Project people": "Project people",

  //--- allAccessibleExercisesSite
  "Left working time": "Left working time",
  "End": "End",
  "Manual": "Manual",
  "Name": "Name",
  "Description": "Description",
  "Release code": "Release code",
  "Working time in min": "Working time in min",
  "Working time": "Working time",
  "The user has the amount of working time to solve the exercise (started when the user opens the exercise for the first time). When re-releasing a release the working time won't reset!": "The user has the amount of working time to solve the exercise (started when the user opens the exercise for the first time). When re-releasing a release the working time won't reset!",
  "Limit": "Limit",
  "Max manual points" : "Max manual points",
  "The max manual points as note for the students. This is only a hint for the max manual points, you can assign more points than this value. Let this field empty to not set max manual points" : "The max manual points as note for the students. This is only a hint for the max manual points, you can assign more points than this value. Let this field empty to not set max manual points",
  "Tags": "Tags",
  "Enter release code": "Enter release code",
  "Time left": "Time left",
  "Note that the minimum of left working time and automatic end is used" : "Note that the minimum of left working time and automatic end is used",

  //--- console view
  "Program exit code" : "Program exit code",
  "but expected exit code" : "but expected exit code",
  "A normal program has an exit code of 0. If you intended an exit code different from 0 then specify this in the test" : "A normal program has an exit code of 0. If you intended an exit code different from 0 then specify this in the test",

  "compiled in": "compiled in",
  "executed in": "executed in",

  "Test-server version": "Test-server version",
  "Test-runner version": "Test-runner version",
  "Used timeout in ms": "Used timeout in ms",
  "Used compile timeout in ms": "Used compile timeout in ms",
  "Used character limit" : "Used character limit",

  "Arguments": "Arguments",
  "unknown/ignored line": "unknown/ignored line",
  "The previous (your) output was wrong. This is the correct output. Blue characters are missing, red ones are too much (inside your output) [For regex lines, starting with '(regex):' there is no diff display option].": "The previous (your) output was wrong. This is the correct output. Blue characters are missing, red ones are too much (inside your output) [For regex lines, starting with '(regex):' there is no diff display option].",
  "The previous (your) output was wrong. This is the correct output.": "The previous (your) output was wrong. This is the correct output.",
  "Use diff": "Use diff",
  "If enabled and your output was wrong then the diff against the expected output is displayed as your output. If disabled the wrong output is marked red instead. For further help (if enabled) hover over the rectangle left to the expected output.": "If enabled and your output was wrong then the diff against the expected output is displayed as your output. If disabled the wrong output is marked red instead. For further help (if enabled) hover over the rectangle left to the expected output.",
  "Replace Spaces": "Replace Spaces",
  "Replaces all whitespaces with · and all tabs with ⇥ in the input and output": "Replaces all whitespaces with · and all tabs with ⇥ in the input and output",
  "End of user program": "End of user program",
  "State": "State",
  "Compiler error": "Compiler error",
  "Wrong output": "Wrong output",
  "Unknown test type": "Unknown test type",
  "Program timeout": "Program timeout",
  "Compile timeout" : "Compile timeout",
  "A timeout can have 3 main reasons. 1. Your program has an infinite loop (not terminating) 2. Your program tries to read from the console but no input is provided from the test (waiting forever for input) 3. The test(-runner) expects your program to output something (waiting forever for output) but your program doesn't write anything (so you output less than the test expects)" : "A timeout can have 3 main reasons. 1. Your program has an infinite loop (not terminating) 2. Your program tries to read from the console but no input is provided from the test (waiting forever for input) 3. The test(-runner) expects your program to output something (waiting forever for output) but your program doesn't write anything (so you output less than the test expects)",
  "Disk space limit": "Disk space limit",
  "RAM limit": "RAM limit",
  "Unknown test-server error": "Unknown test-server error",
  "User program error": "User program error",
  "Test": "Test",
  "Input": "Input",
  "Output": "Output",
  "Program": "Program",
  "The test protocol exceeded the character limit and was truncated. However your test can still pass because character limit is only used to limit the memory used to store the test result. New lines are counted as 4 characters. There are some characters (~100) reserved for header data." : "The test protocol exceeded the character limit and was truncated. However your test can still pass because character limit is only used to limit the memory used to store the test result. New lines are counted as 4 characters. There are some characters (~100) reserved for header data.",

  "Test content read timeout" : "Test content read timeout",
  "Exit code mismatch" : "Exit code mismatch",
  "Compare files mismatch" : "Compare files mismatch",
  "If this is enabled all error output lines (stderr) will be hidden. Keep in mind that this will also hide any real error message" : "If this is enabled all error output lines (stderr) will be hidden. Keep in mind that this will also hide any real error message",
  "If this is enabled all expected output lines will be hidden and only lines from your program are displayed" : "If this is enabled all expected output lines will be hidden and only lines from your program are displayed",

  "Comparing files": "Comparing files",
  "Parse error": "Parse error",
  "with options": "with options",
  "Equal": "Equal",
  "File 1 was not found": "File 1 was not found",
  "File 2 was not found": "File 2 was not found",
  "End of file 2 reached": "End of file 2 reached",
  "Line": "Line",
  "END OF FILE" : "END OF FILE",

  //--- custom tests
  "Create custom test": "Create custom test",
  "Change custom test": "Change custom test",
  "Open help in new tab": "Open help in new tab",
  "Test content": "Test content",
  "You can write to the stderr (with java System.err.println and use it as debug output) and it will be ignored by the test runner (the test will pass if all System.out.println (stdout) are correct). However if you write to stdout and then to stderr the output might print the stderr line before the stdout line, so the order of the lines is only correct for all stdout separately and all stderr separately. The test runner replaced every 0x00 char (e.g. when you print a (char)0 or an not initialized char-array entry) and replaces it with ☐. You can also ouput 3/4 bit ansi color codes via \\033[CODEm (see wikipedia ansi escape code, ubuntu colors are used). Colors are only printed on just run program or if the output was correct. Note that the colors are only set for one line (not like the terminal). After the line the style is reset to normal." : "You can write to the stderr (with java System.err.println and use it as debug output) and it will be ignored by the test runner (the test will pass if all System.out.println (stdout) are correct). However if you write to stdout and then to stderr the output might print the stderr line before the stdout line, so the order of the lines is only correct for all stdout separately and all stderr separately. The test runner replaced every 0x00 char (e.g. when you print a (char)0 or an not initialized char-array entry) and replaces it with ☐. You can also ouput 3/4 bit ansi color codes via \\033[CODEm (see wikipedia ansi escape code, ubuntu colors are used). Colors are only printed on just run program or if the output was correct. Note that the colors are only set for one line (not like the terminal). After the line the style is reset to normal.",
  "Test-Server Notes" : "Test-Server Notes",
  "Test-Server Limits" : "Test-Server Limits",
  "Setting" : "Setting",

  "Max. tests with one request": "Max. tests with one request",

  "The max time the user program is allowed to run in ms" : "The max time the user program is allowed to run in ms",
  "If one runs multiple tests this is the number of tests that are actually run with one requests. If there are tests left one must issue a new requests to run all tests": "If one runs multiple tests this is the number of tests that are actually run with one requests. If there are tests left one must issue a new requests to run all tests",


  "This value is overwritten by the test-server setting timeout in ms (hardTimeoutInMs) which is the max time the user program can run": "This value is overwritten by the test-server setting timeout in ms (hardTimeoutInMs) which is the max time the user program can run",
  "This value is overwritten by the test-server setting compile timeout in ms (hardCompileTimeoutInMs) which is the max time the user program can compile" : "This value is overwritten by the test-server setting compile timeout in ms (hardCompileTimeoutInMs) which is the max time the user program can compile",
  "This value is overwritten by the system setting just run program timeout in ms (justRunProgramTimeoutInMs) which is the max time the user program can run": "This value is overwritten by the system setting just run program timeout in ms (justRunProgramTimeoutInMs) which is the max time the user program can run",
  "This value is overwritten by the system setting just run program compile timeout in ms (justRunProgramCompileTimeoutInMs) which is the max time the user program can compile" : "This value is overwritten by the system setting just run program compile timeout in ms (justRunProgramCompileTimeoutInMs) which is the max time the user program can compile",
  "This value is overwritten by the system setting custom project test timeout in ms (justRunProgramTimeoutInMs) which is the max time the user program can run": "This value is overwritten by the system setting custom project test timeout in ms (justRunProgramTimeoutInMs) which is the max time the user program can run",
"This value is overwritten by the system setting custom project test compile timeout in ms (customProjectTestCompileTimeoutInMs) which is the max time the user program can compile" : "This value is overwritten by the system setting custom project test compile timeout in ms (customProjectTestCompileTimeoutInMs) which is the max time the user program can compile",
  "This value is overwritten by the system setting test server timeout in ms (testServerTimeoutInMs) which is the request timeout backend to test-server (one request can contain many tests)": "This value is overwritten by the system setting test server timeout in ms (testServerTimeoutInMs) which is the request timeout backend to test-server (one request can contain many tests)",
  "This value is overwritten by the system setting submit test server timeout in ms (submitTestServerTimeoutInMs) which is the request timeout backend to submit test-server (one request can contain many tests)": "This value is overwritten by the system setting submit test server timeout in ms (submitTestServerTimeoutInMs) which is the request timeout backend to submit test-server (one request can contain many tests)",

  "This value is overwritten by the test-server setting max RAM in kb (hardMemoryLimitInKb) which is the max memory the user program can use": "This value is overwritten by the test-server setting max RAM in kb (hardMemoryLimitInKb) which is the max memory the user program can use",
  "This value is overwritten by the system setting just run program max RAM in kb (justRunProgramMemoryLimitInKb) which is the max memory the user program can use": "This value is overwritten by the system setting just run program max RAM in kb (justRunProgramMemoryLimitInKb) which is the max memory the user program can use",
  "This value is overwritten by the system setting custom project test max RAM in kb (customProjectTestMemoryLimitInKb) which is the max memory the user program can use": "This value is overwritten by the system setting custom project test max RAM in kb (customProjectTestMemoryLimitInKb) which is the max memory the user program can use",

  "This value is overwritten by the test-server setting max disk space in kb (hardDiskSpaceLimitInKb) which is the max disk space the user program can use": "This value is overwritten by the test-server setting max disk space in kb (hardDiskSpaceLimitInKb) which is the max disk space the user program can use",
  "This value is overwritten by the system setting just run program max disk space in kb (justRunProgramMaxDiskSpaceInKb) which is the max disk space the user program can use": "This value is overwritten by the system setting just run program max disk space in kb (justRunProgramMaxDiskSpaceInKb) which is the max disk space the user program can use",
  "This value is overwritten by the system setting custom project test max disk space in kb (customProjectTestMaxDiskSpaceInKb) which is the max disk space the user program can use": "This value is overwritten by the system setting custom project test max disk space in kb (customProjectTestMaxDiskSpaceInKb) which is the max disk space the user program can use",

  "The test-server settings are not available. Thus this setting could be overwritten by some test-server setting" : "The test-server settings are not available. Thus this setting could be overwritten by some test-server setting",
  "The test-server settings are not available" :"The test-server settings are not available",

  "Test content visually": "Test content visually",
  "Test settings & files": "Test settings & files",
  "Timeout in ms": "Timeout in ms",
  "Compile timeout in ms" : "Compile timeout in ms",
  "Max. RAM in kb": "Max. RAM in kb",
  "Max disk space in kb": "Max disk space in kb",
  "Compiler options" : "Compiler options",
  "Options passed to the compiler, e.g. for java -Xlint. Multiple arguments must be separated by a whitespace." : "Options passed to the compiler, e.g. for java -Xlint. Multiple arguments must be separated by a whitespace.",
  "Files": "Files",
  "Run all tests": "Run all tests",
  "Runs all not passed tests. If all tests have passed then all tests are re-run. When at least one test fails then the next x tests are not executed.": "Runs all not passed tests. If all tests have passed then all tests are re-run. When at least one test fails then the next x tests are not executed.",
  "This only discards the results in the frontend, the results on the server are still there" : "This only discards the results in the frontend, the results on the server are still there",
  "Max parallel tests": "Max parallel tests",
  "Editor settings": "Editor settings",
  "Resets your code to the template but does not saves the new code in the editor to the server.": "Resets your code to the template but does not saves the new code in the editor to the server.",
  "Resets the code to your readonly solution": "Resets the code to your readonly solution",

  //--- submit tests panel
  "you need at least (>= ": "you need at least (>= ", //${percentageNeededToPassedAutomaticAssessment}
  ") to pass the exercise. The weight (points) of the tests is displayed as the background of each test.": ") to pass the exercise. The weight (points) of the tests is displayed as the background of each test.",
  "Show content": "Show content",

  //--- do editor site
  "Editor": "Editor",
  "Editor is Markdown (Icon)" : "Editor is Markdown (Icon)",
  "Solution editor": "Solution editor",
  "Description editor": "Description editor",
  "Subsequent editor": "Subsequent editor",
  "Cannot load some exercise site parts": "Cannot load some exercise site parts",
  "Time is up! You can still do the exercise for your own in the subsequent editor (the subsequent solution will not be used for assessment through). To run tests use the life ring test-tabs." : "Time is up! You can still do the exercise for your own in the subsequent editor (the subsequent solution will not be used for assessment through). To run tests use the life ring test-tabs.",


  //--- after for assessment because of performance probably
  "The editor that is displayed after the release & the automatic assessment have finished. You can try to solve the exercise (again) with this editor BUT you cannot save!": "The editor that is displayed after the release & the automatic assessment have finished. You can try to solve the exercise (again) with this editor BUT you cannot save!",
  "Task description": "Task description",
  "Normal tests": "Normal tests",
  "Normal points": "Normal points",
  "Submit points": "Submit points",
  "Max normal points": "Max normal points",
  "Custom tests": "Custom tests",
  "Submit tests": "Submit tests",
  "Max submit points": "Max submit points",
  "Console output": "Console output",
  "Could not save files": "Could not save files",
  "Saved files": "Saved files",
  "You have unsaved changes, do you really want to exit?": "You have unsaved changes, do you really want to exit?",
  "Save all files": "Save all files",
  "Shortcut: ctrl+s/cmd+s. This will also clear all test results if the code was changed (because they are then invalid)": "Shortcut: ctrl+s/cmd+s. This will also clear all test results if the code was changed (because they are then invalid)",
  "Compile single file": "Compile single file",
  "Saves all files (ONLY if the editor has unsaved changes) and compiles the program with the current file as main file.": "Saves all files (ONLY if the editor has unsaved changes) and compiles the program with the current file as main file.",
  "Compiles the program with the current file as main file." : "Compiles the program with the current file as main file.",
  "Just Run Program": "Just Run Program",
  'Saves all files (ONLY if the editor has unsaved changes) and runs the program without any input (except the given args). If one arg should contain whitespaces enclose it in "" because args are separated by whitespaces. The max length for the program args is ': "Saves all files (ONLY if the editor has unsaved changes) and runs the program without any input (except the given args). If one arg should contain whitespaces enclose it in \"\" because args are separated by whitespaces. The max length for the program args is ",
  'If one arg should contain whitespaces enclose it in "" because args are separated by whitespaces. The max length for the program args is ': "If one arg should contain whitespaces enclose it in \"\" because args are separated by whitespaces. The max length for the program args is ",
  "Release finished": "Release finished",


  //--- exercise editor site
  "Create template": "Create template",
  "Change template": "Change template",
  "Programming language": "Programming language",
  "Main file": "Main file",
  "The main file that will be executed. E.g. in java this is the file with the class containing the main method.": "The main file that will be executed. E.g. in java this is the file with the class containing the main method.",
  "At least one file is needed": "At least one file is needed",
  "File name": "File name",
  "Content editable by user": "Content editable by user",
  "Readonly files are always up-to-date with the version from the exercise. A copy of the readonly file is still stored in the users solution. If you change from normal to readonly file then the content from the user is not changed but no one can access the file content (backend will always return the up-to-date version from the exercise and not the user file content). If you change from readonly to normal file then the content is the same as the readonly file or if the file was changed by the user (because is was previously a normal file and changed to readonly prior and now back to normal) then the last state (content) is used when the user had saved the file before it got readonly.": "Readonly files are always up-to-date with the version from the exercise. A copy of the readonly file is still stored in the users solution. If you change from normal to readonly file then the content from the user is not changed but no one can access the file content (backend will always return the up-to-date version from the exercise and not the user file content). If you change from readonly to normal file then the content is the same as the readonly file or if the file was changed by the user (because is was previously a normal file and changed to readonly prior and now back to normal) then the last state (content) is used when the user had saved the file before it got readonly.",
  "Content is visible for user" : "Content is visible for user",
  "The file content is hidden from the user (empty file is displayed) and is readonly but the file name is visible. If this option is checked it overwrites the readonly option. If you change from hidden to visible to user will get the real file content. If you change from visible to hidden the user will get a blank file. The user file (with old content) will not get touched/updated only all backend calls will return the blank file. Also note that the user CAN get the file content when the program is executed (e.g. list all files in directory and read them)!" : "The file content is hidden from the user (empty file is displayed) and is readonly but the file name is visible. If this option is checked it overwrites the readonly option. If you change from hidden to visible to user will get the real file content. If you change from visible to hidden the user will get a blank file. The user file (with old content) will not get touched/updated only all backend calls will return the blank file. Also note that the user CAN get the file content when the program is executed (e.g. list all files in directory and read them)!",
  "All programming languages have already a code template.": "All programming languages have already a code template.",
  "This exercise has already releases so you are not able to delete templates, add/remove template files or change the main file to another file." : "This exercise has already releases so you are not able to delete templates, add/remove template files or change the main file to another file.",
  "You need at least one code template. Only programming languages with a code template will be choosable by the users." : "You need at least one code template. Only programming languages with a code template will be choosable by the users.",
  "Users are allowed to create custom tests": "Users are allowed to create custom tests",
  "Users are allowed to rename files and create new ones": "Users are allowed to rename files and create new ones",
  "Exercise is only visible to owner": "Exercise is only visible to owner",
  "Show submit test results TOOD???": "Show submit test results TOOD???",
  "Settings for custom tests": "Settings for custom tests",
  "These test settings are applied to custom tests (tests created by the user)" : "These test settings are applied to custom tests (tests created by the user)",
  "Managed by group": "Managed by group",
  "The max amount of custom tests is" : "The max amount of custom tests is",
  "This option can be checked if there are no releases for this exercise. If it's checked only you will see the exercise in the group (and only you can edit it). Releases for this exercise will only work for you." : "This option can be checked if there are no releases for this exercise. If it's checked only you will see the exercise in the group (and only you can edit it). Releases for this exercise will only work for you.",
  "The exercise will be connected to the selected group and members with permission will be able to see/edit/delete the exercise (as long as you not checked the 'is only visible to owner' option). If your account gets deleted then the exercise can still be managed through this group": "The exercise will be connected to the selected group and members with permission will be able to see/edit/delete the exercise (as long as you not checked the 'is only visible to owner' option). If your account gets deleted then the exercise can still be managed through this group",
  "Could not reset the code": "Could not reset the code",

  //--- exerciseTestsPanel
  "Create normal test": "Create normal test",
  "Change normal test": "Change normal test",
  "Create submit test": "Create submit test",
  "Change submit test": "Change submit test",
  "Type": "Type",
  "Points": "Points",
  "Choose tags": "Choose tags",
  "Remove all": "Remove all",
  "Properties": "Properties",
  "Preview": "Preview",
  "Guide": "Guide",
  "Code templates": "Code templates",
  "Code template": "Code template",
  "Assets": "Assets",
  "Note": "Note",
  "Could not save exercise": "Could not save exercise",
  "Could not update exercise": "Could not update exercise",
  "Could not create custom project": "Could not create custom project",
  "Could not update custom project": "Could not update custom project",
  "Updated exercise": "Updated exercise",
  "If you have unsaved changes then they will be discarded. Do you want to leave the page anyway?": "If you have unsaved changes then they will be discarded. Do you want to leave the page anyway?",
  "Create exercise": "Create exercise",
  "Change exercise": "Change exercise",
  "Save project": "Save project",
  "Export exercise": "Export exercise",
  "Import exercise": "Import exercise",
  "Lock exercise permanently" : "Lock exercise permanently",
  "Locked permanently" : "Locked permanently",
  "Exercise is lock": "Exercise is lock",

  //--- group roles site

  "Create group role": "Create group role",
  "Change group role": "Change group role",
  "Delete group role": "Delete group role",


  //--- group role permissions
  "Can create exercises": "Can create exercises",
  "Can change exercises": "Can change exercises",
  "Can delete exercises": "Can delete exercises",
  "Can lock exercises permanently" : "Can lock exercises permanently",
  "Can manage exercise releases": "Can manage exercise releases",
  "Can copy exercises": "Can copy exercises",
  "Can see exercises from other members": "Can see exercises from other members",
  "Can add users to group": "Can add users to group",
  "Can remove members from group": "Can remove members from group",
  "Can change other members group role": "Can change other members group role",
  "Can see other members" : "Can see other members",
  "Can change group data": "Can change group data",
  "Submissions": "Submissions",
  "Can assess exercises from group": "Can assess exercises from group",
  "Create group": "Create group",
  "Change group": "Change group",
  "Members": "Members",
  "Leave": "Leave",
  "This is the default group and cannot be deleted" : "This is the default group and cannot be deleted",
  "Only groups without exercises can be deleted" : "Only groups without exercises can be deleted",

  //--- home site
  "On this site all open exercises are displayed (that can be solved).": "On this site all open exercises are displayed (that can be solved).",
  "On this site all your exercises are displayed (where you are the owner).": "On this site all your exercises are displayed (where you are the owner).",
  "On this site all exercises of groups are displayed where you are a member.": "On this site all exercises of groups are displayed where you are a member.",

  //--- manageNewUsersSite
  "Activate selected users": "Activate selected users",
  "Delete selected users": "Delete selected users",
  "None": "None",
  "Activate": "Activate",

  //--- manageTagsSite
  "Create tag": "Create tag",
  "Change tag": "Change tag",
  "Font color": "Font color",
  "Background color": "Background color",
  "All css colors are allowed, so also red, green, ... You can click on the brush to open a color picker.": "All css colors are allowed, so also red, green, ... You can click on the brush to open a color picker.",

  //--- ownSettingsSite
  "Old password": "Old password",
  "New password": "New password",
  "New password again": "New password again",
  "This data can only be changed by an admin.": "This data can only be changed by an admin.",


  //--- singleGroupSite
  "Add user to group": "Add user to group",
  "Invert selection": "Invert selection",
  "Is activated": "Is activated",
  "Indicates if the user is already active or if this is a new user (not activated yet).": "Indicates if the user is already active or if this is a new user (not activated yet).",
  "Add selected users": "Add selected users",
  "Group role": "Group role",
  "Is Active": "Is Active",
  "Not active": "Not active",
  "Release member": "Release member",
  "This is you!": "This is you!",
  "You cannot delete members from the default user group" : "You cannot delete members from the default user group",
  "Add member": "Add member",
  "Release selected member": "Release selected member",
  "User is already a member": "User is already a member",
  "If you change the page in the table then the selected state is lost. Thus make sure to add the users before changing the table page.": "If you change the page in the table then the selected state is lost. Thus make sure to add the users before changing the table page.",

  //--- systemRolesSite
  "Create system role": "Create system role",
  "Change system role": "Change system role",
  //"Delete system role": //"Delete system role,
  "Can create groups": "Can create groups",
  "Can delete groups": "Can delete groups",
  "Can create system & group roles": "Can create system & group roles",
  "Can change system & group  roles": "Can change system & group  roles",
  "Can delete system & group  roles": "Can delete system & group  roles",
  "Can manage new users": "Can manage new users",
  "Can change other users system role": "Can change other users system role",
  "Can delete & view activated users": "Can delete & view activated users",
  "Can change other user data & view activated users": "Can change other user data & view activated users",
  "Can change system settings": "Can change system settings",
  "Can manage tags": "Can manage tags",
  "Can view dashboard": "Can view dashboard",
  "Can download personal data from others" : "Can download personal data from others",

  //tutorViewSite
  "Save manual assessment": "Save manual assessment",
  "This saves the manual assessment tab and the feedback for student tab" : "This saves the manual assessment tab and the feedback for student tab",
  "Manual assessment saved": "Manual assessment saved",
  "There is no automatic assessment yet.": "There is no automatic assessment yet.",
  "Normal test points": "Normal test points",
  "If there are no points then the automatic assessment option might be disabled (for the release) or there was an automatic assessment error.": "If there are no points then the automatic assessment option might be disabled (for the release) or there was an automatic assessment error.",
  "Submit test points": "Submit test points",
  //"If there are no points then the automatic assessment option might be disabled (for the release) or there was an automatic assessment error.": //"If there are no points then the automatic assessment option might be disabled (for the release) or there was an automatic assessment error.",
  "Manual points": "Manual points",
  "Points that a tutor has assigned": "Points that a tutor has assigned",
  "Not assessed": "Not assessed",
  "No manual points set" : "No manual points set",
  "Note for other tutors": "Note for other tutors",
  "Feedback for student": "Feedback for student",
  "Feedback": "Feedback",
  "Feedback from tutor": "Feedback from tutor",
  "Tutor-Editor": "Tutor-Editor",
  "This editor is used to check and assess the submission manually. It's also used to run the tests. Any modification is NOT saved to the server.": "This editor is used to check and assess the submission manually. It's also used to run the tests. Any modification is NOT saved to the server.",
  "Submission code": "Submission code",
  "This editor displays the original submission in a readonly editor.": "This editor displays the original submission in a readonly editor.",
  "Subsequent editor code" : "Subsequent editor code",
  "This editor displays the subsequent editor code in a readonly editor.": "This editor displays the subsequent editor code in a readonly editor.",
  "Manual assessment": "Manual assessment",
  "The submit tests results are only displayed after the automatic assessment has finished. Note that these submit tests are executed on the submit test server (not the normal test server), so there might be different settings e.g. timeouts": "The submit tests results are only displayed after the automatic assessment has finished. Note that these submit tests are executed on the submit test server (not the normal test server), so there might be different settings e.g. timeouts",
  "The release is still open.": "The release is still open.",
  "The release is still open or the automatic assessment has not finished yet": "The release is still open or the automatic assessment has not finished yet",
  "The release is still open or the automatic assessment has not finished yet. Some inputs might be disabled": "The release is still open or the automatic assessment has not finished yet. Some inputs might be disabled",
  "Tutor-Tests": "Tutor-Tests",
  "Tutor-Submit-Tests": "Tutor-Submit-Tests",
  "These tests are run with the Tutor-Editor content. Results are only temporarily and not saved on the backend.": "These tests are run with the Tutor-Editor content. Results are only temporarily and not saved on the backend.",
  "These are the test results from the user with the subsequent editor content." : "These are the test results from the user with the subsequent editor content.",
  "The next/previous feature is only available if you came here from the submissions-list and submissions-list is sorted by 'lastName', all submission are loaded (page size 'all'), the search text is empty and there are more than 1 submission in total" : "The next/previous feature is only available if you came here from the submissions-list and submissions-list is sorted by 'lastName', all submission are loaded (page size 'all'), the search text is empty and there are more than 1 submission in total",
  "Click here to set the right settings for the submissions-site and load the required data" : "Click here to set the right settings for the submissions-site and load the required data",
  "Could not load submissions-list data": "Could not load submissions-list data",
  "The results from the subsequent solution normal tests" : "The results from the subsequent solution normal tests",

  "Could not lock the solution": "Could not lock the solution",
  "Unlock solution for editing": "Unlock solution for editing",
  "Note that locking the solution is optional, your solution will be assessed (maybe by a tutor) regardless if it's locked or not" : "Note that locking the solution is optional, your solution will be assessed (maybe by a tutor) regardless if it's locked or not",
  "Your solution is currently locked for the submission process" : "Your solution is currently locked for the submission process",
  "Displays the internal log" : "Displays the internal log",

  //--- manageOwnOrGroupExerciseComponents
  "Only visible to me": "Only visible to me",
  "Solutions": "Solutions",
  "Releases": "Releases",
  "This copies the exercise on the server and opens the edit exercise site.": "This copies the exercise on the server and opens the edit exercise site.",
  "The exercise can only be deleted if it has no releases.": "The exercise can only be deleted if it has no releases.",
  "Could not copy exercise": "Could not copy exercise",

  //--- submissionsSite
  "Refresh view": "Refresh view",
  "Export assessments as csv": "Export assessments as csv",
  "Upload assessments from csv" : "Upload assessments from csv",
  "Download all submissions": "Download all submissions",
  "The .zip file contains a file called assessments.csv which can be filled and uploaded again (manual points, feedback, notes for other tutors are taken). Make sure you use a RFC 4180 compliant library for writing to the csv (that handled special cases e.g. new lines and escapes), comment lines start with #. Some users might have invalid characters in their names so the folder name contains then the user id instead." : "The .zip file contains a file called assessments.csv which can be filled and uploaded again (manual points, feedback, notes for other tutors are taken). Make sure you use a RFC 4180 compliant library for writing to the csv (that handled special cases e.g. new lines and escapes), comment lines start with #. Some users might have invalid characters in their names so the folder name contains then the user id instead.",
  "You can import the .csv file from the 'download all submissions' feature here. At least the columns UserId, PLangId, ManualPoints, NoteForOtherTutors, FeedbackForStudent are needed. The columns ManualPoints, NoteForOtherTutors, FeedbackForStudent are used to overwrite the values in the backend. The first line must be a comment (starting with #) containing the release code. If the upload was successful then the view is automatically refreshed": "You can import the .csv file from the 'download all submissions' feature here. At least the columns UserId, PLangId, ManualPoints, NoteForOtherTutors, FeedbackForStudent are needed. The columns ManualPoints, NoteForOtherTutors, FeedbackForStudent are used to overwrite the values in the backend. The first line must be a comment (starting with #) containing the release code. If the upload was successful then the view is automatically refreshed",
  "Re-run automatic assessments": "Re-run automatic assessments",
  "This re-runs all submit tests (and normal tests if specified in the release) and preserves the manual points and comments (for student, other tutors). This is also the case for single re-run.": "This re-runs all submit tests (and normal tests if specified in the release) and preserves the manual points and comments (for student, other tutors). This is also the case for single re-run.",
  "The summed normal test points. The percentage represent the students where all normal tests passed and the participation should count. If nothing is displayed none normal test was run yet.": "The summed normal test points. The percentage represent the students where all normal tests passed and the participation should count. If nothing is displayed none normal test was run yet.",
  "The summed submit test points. The percentage represent the students where all submit tests passed and the participation should count. If nothing is displayed none submit test was run yet.": "The summed submit test points. The percentage represent the students where all submit tests passed and the participation should count. If nothing is displayed none submit test was run yet.",
  "with all points" : "with all points",
  "Download": "Download",
  "Re-run": "Re-run",
  "Open as tutor": "Open as tutor",
  "In the tutor view you can view the submission, the test results and manually assess the submission.": "In the tutor view you can view the submission, the test results and manually assess the submission.",
  "Submissions of": "Submissions of",
  "submissions of": "submissions of",
  "Error downloading the csv data. Make sure the delimiter is not empty." : "Error downloading the csv data. Make sure the delimiter is not empty.",
  "Should not count": "Should not count",
  "The times the user solved this exercise (e.g. in different releases). If a user solved the exercise (release) in different programming languages then two rows are shown but it's the same participation. The participation is counted as one because the restrictions (e.g. lef time, should not count) are stored in the participation.": "The times the user solved this exercise (e.g. in different releases). If a user solved the exercise (release) in different programming languages then two rows are shown but it's the same participation. The participation is counted as one because the restrictions (e.g. lef time, should not count) are stored in the participation.",
  "Could not re-run all automatic assessments" : "Could not re-run all automatic assessments",
  "The re-run all automatic assessments has started. To get updates refresh the list" : "The re-run all automatic assessments has started. To get updates refresh the list",
  "The assessment (normal and submit tests) is run on the submit test server which might have other settings (e.g. timeout). The tutor view runs the submit tests on the submit test server and the normal test on the normal test server. If normal and submit tests are run and the normal tests produce some server error (e.g. connection to test server timed out) then the submit tests are not executed." : "The assessment (normal and submit tests) is run on the submit test server which might have other settings (e.g. timeout). The tutor view runs the submit tests on the submit test server and the normal test on the normal test server. If normal and submit tests are run and the normal tests produce some server error (e.g. connection to test server timed out) then the submit tests are not executed.",

  "The graph only includes data displayed in the table": "The graph only includes data displayed in the table",

  //--- assessment states
  "The release is still released (active).": "The release is still released (active).",
  "The automatic assessment option is not selected, tests won't run but a dummy assessment will be added automatically": "The automatic assessment option is not selected, tests won't run but a dummy assessment will be added automatically",
  "The automatic assessment is activated but has not ran yet.": "The automatic assessment is activated but has not ran yet.",
  "The release was not released yet.": "The release was not released yet.",
  "The automatic assessment ist still running... Refresh the view to see progress.": "The automatic assessment ist still running... Refresh the view to see progress.",
  "The automatic assessment has finished": "The automatic assessment has finished",
  "The manually started automatic assessment has finished.": "The manually started automatic assessment has finished.",
  "The automatic assessment has finished with errors!": "The automatic assessment has finished with errors!",
  "Automatic refresh view": "Automatic refresh view",
  "Automatic refresh view in": "Automatic refresh view in",
  "Nevertheless the normal test results of the users latest solution are displayed.": "Nevertheless the normal test results of the users latest solution are displayed.",
  "Are you sure you want to re-run the automatic assessment for this student?" : "Are you sure you want to re-run the automatic assessment for this student?",
  "Export": "Export",
  "as csv": "as csv",
  "If unchecked the column will not be exported": "If unchecked the column will not be exported",
  "Csv delimiter": "Csv delimiter",
  "Replace rules": "Replace rules",
  "Regex": "Regex",
  "Flags": "Flags",
  "e.g. ^test$ or just test": "e.g. ^test$ or just test",
  "To match empty content use ^$. It also a good idea to use the start position, end position operators and the ignore case flag. You can test your regex at": "To match empty content use ^$. It also a good idea to use the start position, end position operators and the ignore case flag. You can test your regex at",
  "Only first matched regex rule is applied, the whole cell value is replaced. If none matched (or no rules) the else rule is applied (if it has content). Also note that the replace rules are not applied in the preview.": "Only first matched regex rule is applied, the whole cell value is replaced. If none matched (or no rules) the else rule is applied (if it has content). Also note that the replace rules are not applied in the preview.",

  "If none matched": "If none matched",
  "Only applied if the replace text is not empty": "Only applied if the replace text is not empty",
  "On match replace with": "On match replace with",
  "Additional columns": "Additional columns",
  "Value is a number": "Value is a number",
  "There is already a column with this name:": "There is already a column with this name:",
  "The given string is not a valid regex:": "The given string is not a valid regex:",
  "Error in column" : "Error in column",
  "Error while downloading the csv file" : "Error while downloading the csv file",

  //--- releasesSite
  "Releases for": "Releases for",
  "Create release": "Create release",
  "Change release": "Change release",
  "Is visible for all": "Is visible for all",
  "If the release is visible for all then every user can see the release without entering the code. If the exercise 'is only visible to owner' then the release cannot be visible for all and only the owner can enter the release code": "If the release is visible for all then every user can see the release without entering the code. If the exercise 'is only visible to owner' then the release cannot be visible for all and only the owner can enter the release code",
  "Automatic": "Automatic",
  "Unlimited": "Unlimited",
  "unlimited": "unlimited",
  "Start at": "Start at",
  "If the start type is automatic then the automatic start time is changed to the actual start time.": "If the start type is automatic then the automatic start time is changed to the actual start time.",
  "End at": "End at",
  "This cannot be changed after the release is created" : "This cannot be changed after the release is created",

  //--- changeExerciseReleaseDialog
  "Start/End of the release": "Start/End of the release",
  "The exercise is only visible to the owner and thus all releases for this exercise will only work for the owner" : "The exercise is only visible to the owner and thus all releases for this exercise will only work for the owner",
  "Automatic start at": "Automatic start at",
  "Automatic end at": "Automatic end at",
  "Duration of the automatic release": "Duration of the automatic release",
  "To end the release anyway select the manual mode and end the release manually.": "To end the release anyway select the manual mode and end the release manually.",
  "Infinitely": "Infinitely",
  "Limited": "Limited",
  "Options": "Options",
  "Exam options": "Exam options",
  "Run automatic assessment": "Run automatic assessment",
  "After the release ended the automatic tests will be run. Note that it can take up to 1 tick (1 minute) until the assessment will start.": "After the release ended the automatic tests will be run. Note that it can take up to 1 tick (1 minute) until the assessment will start.",
  "Run normal tests too": "Run normal tests too",
  "Normally only the submit tests are run. With this optin enabled the normal tests are also run. This will overwrite the test results from the users.": "Normally only the submit tests are run. With this optin enabled the normal tests are also run. This will overwrite the test results from the users.",
  "Note that you will be the only user who can enter the release code because the exercise has 'is only visible to owner' set" : "Note that you will be the only user who can enter the release code because the exercise has 'is only visible to owner' set",

  //--- custom projects sites
  "Manage custom projects": "Manage custom projects",
  "Create custom project": "Create custom project",
  "project(s) left": "project(s) left",
  "Could not load custom projects": "Could not load custom projects",
  "Could not delete custom project": "Could not delete custom project",
  "Delete custom project": "Delete custom project",
  "Are you sure you want to delete your project?": "Are you sure you want to delete your project?",
  "Programming language for custom project" : "Programming language for custom project",

  //--- others (maybe move into proper (top) categories

  "Is released": "Is released",
  "If you want to start the release then tick the checkbox and save. To end a release uncheck the checkbox and save. If you re-start a release the assessment results are not deleted, so there might be old results until a new assessment is started/finished": "If you want to start the release then tick the checkbox and save. To end a release uncheck the checkbox and save. If you re-start a release the assessment results are not deleted, so there might be old results until a new assessment is started/finished",
  "Automatic assessment is still running... please reload the page to get new values": "Automatic assessment is still running... please reload the page to get new values",
  "If you end the release now then the automatic tests will run": "If you end the release now then the automatic tests will run",
  "If you end the release now then the automatic tests will NOT run (because you didn't tick the option. If you want to run the tests tick the option first and then end the release.": "If you end the release now then the automatic tests will NOT run (because you didn't tick the option. If you want to run the tests tick the option first and then end the release.",
  "All": "All",
  "Has limited working time": "Has limited working time",
  "Change user data": "Change user data",
  "Generated password": "Generated password",
  "Resets the password for the selected user to a randomly generated password and displays it": "Resets the password for the selected user to a randomly generated password and displays it",
  "Not selected": "Not selected",
  "Click to open a new tab with all possible icons. Then past the icon text here.": "Click to open a new tab with all possible icons. Then past the icon text here.",
  "The description is only displayed on hover.": "The description is only displayed on hover.",
  "All whitespaces of the input are replaced with · and all tabs with ⇥": "All whitespaces of the input are replaced with · and all tabs with ⇥",
  "All whitespaces of the output are replaced with · and all tabs with ⇥": "All whitespaces of the output are replaced with · and all tabs with ⇥",
  "Could not get html element with specific id": "Could not get html element with specific id",
  "The solution programming language is not known": "The solution programming language is not known",
  "Could not find editor file": "Could not find editor file",
  "Could not find code template": "Could not find code template",
  "Some url parameters were not found/set": "Some url parameters were not found/set",
  "Probably no test has run": "Probably no test has run",
  "Could not find programming language for given id": "Could not find programming language for given id",
  "Could not find solution file": "Could not find solution file",
  "Could not select solution file": "Could not select solution file",
  "Could not convert string to int": "Could not convert string to int",
  "Could not find release": "Could not find release",
  "Something went wrong calculating left working time": "Something went wrong calculating left working time",
    "If the editor has unsaved changes and you run a test then the files will be auto saved before running the test": "If the editor has unsaved changes and you run a test then the files will be auto saved before running the test",
  "These are the submit tests. They are executed and visible after the release ended and the automatic assessment has run.": "These are the submit tests. They are executed and visible after the release ended and the automatic assessment has run.",
  "This is the result of the manual assessment. It is only visible if the tutor has left feedback or manual points for you.": "This is the result of the manual assessment. It is only visible if the tutor has left feedback or manual points for you.",
  "If you assign manual points or feedback for the student then the manual points-and-feedback-panel is displayed to the student.": "If you assign manual points or feedback for the student then the manual points-and-feedback-panel is displayed to the student.",
  "You can assign more points than the max manual points value" : "You can assign more points than the max manual points value",


  "Assessment statistic": "Assessment statistic",
  "Error during assessment (before or after testing, e.g. test server is offline)": "Error during assessment (before or after testing, e.g. test server is offline)",
  "Error during testing": "Error during testing",
  "Last editing ip address" : "Last editing ip address",
  "Click to expand all" : "Click to expand all",
  "My assessment statistic": "My assessment statistic",
  "An overview what exercise you have started and how much points you got.": "An overview what exercise you have started and how much points you got.",
  "My Projects": "My Projects",
  "Exercise": "Exercise",
  "The date & time when the solution (or the participation e.g. custom tests) got last updated": "The date & time when the solution (or the participation e.g. custom tests) got last updated",
  "Clear test results": "Clear test results",
  "These tests are executed using the subsequent editor content. They are available when you cannot longer edit your original solution.": "These tests are executed using the subsequent editor content. They are available when you cannot longer edit your original solution.",
  "These submit tests are executed using the subsequent editor content. They are available when the automatic assessment ran. Note that these submit tests are executed on the normal test server (not the submit test server), so there might be different settings e.g. timeouts. Ask a tutor to execute your submit tests on the submit test server" : "These submit tests are executed using the subsequent editor content. They are available when the automatic assessment ran. Note that these submit tests are executed on the normal test server (not the submit test server), so there might be different settings e.g. timeouts. Ask a tutor to execute your submit tests on the submit test server",
  "The automatic start/end can take up to 1 min (1 tick) until it's executed. If the automatic start is before now then the start is executed within the next tick.": "The automatic start/end can take up to 1 min (1 tick) until it's executed. If the automatic start is before now then the start is executed within the next tick.",
  "Tags filter": "Tags filter",
  "The selected tags are connected via the selected logical operation. E.g. if you select AND and two tags then both tags needs to be assigned to the exercise. If you click a tag twice then the exercise must not have the tag assigned.": "The selected tags are connected via the selected logical operation. E.g. if you select AND and two tags then both tags needs to be assigned to the exercise. If you click a tag twice then the exercise must not have the tag assigned.",
  "Displays the remaining time. Click to show/hide. If the remaining time is <= ": "Displays the remaining time. Click to show/hide. If the remaining time is <= ",
  " the icon color will change.": " the icon color will change.",
  "The console arguments for the program. Separated by whitespaces.": "The console arguments for the program. Separated by whitespaces.",
  "Compiled": "Compiled",
  "Could not restore the editor sessions because found multiple matching editor sessions for one file. Please save all Files and reload the site.": "Could not restore the editor sessions because found multiple matching editor sessions for one file. Please save all Files and reload the site.",
  "Could not restore the editor sessions because found no editor sessions for one file. Please save all Files and reload the site.": "Could not restore the editor sessions because found no editor sessions for one file. Please save all Files and reload the site.",
  "Could not find the exercise": "Could not find the exercise",
  "Could not find the exercise or no permission": "Could not find the exercise or no permission",
  "Could not create new file because there is already a file with the same name.": "Could not create new file because there is already a file with the same name.",
  "Could not create new file because it has an invalid filename. It must be alphanumeric, start with a letter, can contain '-' and '_'" : "Could not create new file because it has an invalid filename. It must be alphanumeric, start with a letter, can contain '-' and '_'",
  "Could not rename file because it has an invalid filename. It must be alphanumeric, start with a letter, can contain '-' and '_'": "Could not rename file because it has an invalid filename. It must be alphanumeric, start with a letter, can contain '-' and '_'",
  "Could not rename file because there is already a file with the same name.": "Could not rename file because there is already a file with the same name.",
  "Server version:": "Server version:",
  "The time when the latest solution was saved/created on the server.": "The time when the latest solution was saved/created on the server.",
  "Time is up": "Time is up",
  "Parse Error": "Parse Error",
  "Regex Error": "Regex Error",
  "Escape editor": "Escape editor",
  "Escaped result": "Escaped result",
  "Note that only the first automatic un-release will run the automatic assessment (if the option is checked), for all following un-releases you will need to use the manual (un-)release mode in order to run the automatic assessment" : "Note that only the first automatic un-release will run the automatic assessment (if the option is checked), for all following un-releases you will need to use the manual (un-)release mode in order to run the automatic assessment",
  "This automatic assessment is running, thus the release cannot be edited currently. Refresh the site to check again" : "This automatic assessment is running, thus the release cannot be edited currently. Refresh the site to check again",

  "Your participation will not be counted (nevertheless a tutor might assess your submission, it's just an info for the tutors), this cannot be undone! This does not affect the left working time.": "Your participation will not be counted (nevertheless a tutor might assess your submission, it's just an info for the tutors), this cannot be undone! This does not affect the left working time.",
  "The assessment result/participation should not be counted.": "The assessment result/participation should not be counted.",
  "Participation should not count": "Participation should not count",
  "Are you sure you want that your participation should not be counted? This cannot be undone!": "Are you sure you want that your participation should not be counted? This cannot be undone!",
  "Could not set 'participation should not count'.": "Could not set 'participation should not count'.",
  "Now loading test assets (before exporting)...": "Now loading test assets (before exporting)...",
  "Could not load test assets": "Could not load test assets",
  "Could not create custom project because you exceeded the max amount of possible custom projects.": "Could not create custom project because you exceeded the max amount of possible custom projects.",
  "Could not load custom project": "Could not load custom project",
  "Created custom test": "Created custom test",
  "Updated custom test": "Updated custom test",
  "Deleted custom test": "Deleted custom test",
  "Could not create custom test": "Could not create custom test",
  "Could not update custom test": "Could not update custom test",
  "Could not delete custom test": "Could not delete custom test",

  //--- dashboard site
  "Server settings": "Server settings",
  "These are the server (system) settings which can be configured through the frontend ui (menu - System settings)." : "These are the server (system) settings which can be configured through the frontend ui (menu - System settings).",
  "Server constants" : "Server constants",
  "These settings are the server constants and are fixed after compiling (hardcoded)." : "These settings are the server constants and are fixed after compiling (hardcoded).",
  "Server app settings" : "Server app settings",
  "These settings are the app settings and can be overwritten in appsettings.json file. These are fixed after the server process is started." : "These settings are the app settings and can be overwritten in appsettings.json file. These are fixed after the server process is started.",
  "Test server settings": "Test server settings",
  "Logical usage statistic": "Logical usage statistic",
  "Property": "Property",
  "Value": "Value",
  "Hardware charts": "Hardware charts",
  "CPU": "CPU",
  "RAM": "RAM",
  "free": "free",
  "This view/panel is live and will automatically refresh (not the whole site). Click to stop automatic refreshing": "This view/panel is live and will automatically refresh (not the whole site). Click to stop automatic refreshing",
  "Click to make the view automatically refresh" : "Click to make the view automatically refresh",


  "Hide release in overviews": "Hide release in overviews",
  "Hide in overviews": "Hide in overviews",
  "Hides the release from the users in all exercise overviews and statistic views": "Hides the release from the users in all exercise overviews and statistic views",
  "Hide print options": "Hide print options",
  "This will hide all print options (e.g. print task description, code editor)" : "This will hide all print options (e.g. print task description, code editor)",
  "Hide leave exercise actions" : "Hide leave exercise actions",
  "This will hide all actions and buttons the user could use to leave the exercise (and e.g. select another exercise). The buttons in the site header bar are not affected (use the appropriate option for that)." : "This will hide all actions and buttons the user could use to leave the exercise (and e.g. select another exercise). The buttons in the site header bar are not affected (use the appropriate option for that).",
  "Show additional log-button" : "Show additional log-button",
  "This will show an additional log button because some options might hide the user header bar thus one cannot show the log and e.g. download the log" : "This will show an additional log button because some options might hide the user header bar thus one cannot show the log and e.g. download the log",
  "Clear clipboard on focus (EXPERIMENTAL, known issues)": "Clear clipboard on focus (EXPERIMENTAL, known issues)",
  "Clear clipboard": "Clear clipboard",
  "Shows an overlay to resume when the window/tab lost focus. This will clear the clipboard when accepted else the user can't proceed.": "Shows an overlay to resume when the window/tab lost focus. This will clear the clipboard when accepted else the user can't proceed.",
  "Hide site header bar": "Hide site header bar",
  "Hides the header bar (checked) or displays it (unchecked). The site header bar is the topmost bar where the site menu, user menu is located.": "Hides the header bar (checked) or displays it (unchecked). The site header bar is the topmost bar where the site menu, user menu is located.",

  //--- system settings site
  "System settings": "System settings",
  "Save system settings": "Save system settings",
  "When the site is loaded the current system settings are loaded from the server and also when the system settings get saved. The system settings (including the server message) are updated for every user every ~": "When the site is loaded the current system settings are loaded from the server and also when the system settings get saved. The system settings (including the server message) are updated for every user every ~",
  "Server message": "Server message",
  "The server message is displayed to all users in the top header bar and is always visible (at least as an icon). To remove the message just clear the input": "The server message is displayed to all users in the top header bar and is always visible (at least as an icon). To remove the message just clear the input",
  "Could not update system settings": "Could not update system settings",
  "You can click on the icon to disable its animation/change the color to normal for this session" : "You can click on the icon to disable its animation/change the color to normal for this session",
  "Programming languages": "Programming languages",
  "Internal name" : "Internal name",
  "The internal name is used for requests to the test server to identify the programming language. It must match the some language known to the test server." : "The internal name is used for requests to the test server to identify the programming language. It must match the some language known to the test server.",
  "File extensions with dot" : "File extensions with dot",
  "You need to add the file extensions for this programming language in order to get syntax highlighting in the editor. Values must be separated by , (comma)." : "You need to add the file extensions for this programming language in order to get syntax highlighting in the editor. Values must be separated by , (comma).",
  "Editor highlight" : "Editor highlight",
  "The language mode for the editor to use when the file extension matches." : "The language mode for the editor to use when the file extension matches.",
  "Are you sure you want to delete this programming language?" : "Are you sure you want to delete this programming language?",
  "Just for display purposes" : "Just for display purposes",
  "Click to open the test server configuration page" : "Click to open the test server configuration page",
  "This setting is only for the frontend and backend to know the programming languages. You need to add new programming languages also to the test server in order to run tests!" : "This setting is only for the frontend and backend to know the programming languages. You need to add new programming languages also to the test server in order to run tests!",

  "Languages": "Languages",
  "Note that adding a language here will not automatically translate all text. To add a new language you need to change the sources and add a file in the i18n directory. You can see i18n/en.ts for an example. After that you need to add the language to i18n/i18nRoot.ts in the KnownLangs enum where the value must be the same as the language shortcut in this table." : "Note that adding a language here will not automatically translate all text. To add a new language you need to change the sources and add a file in the i18n directory. You can see i18n/en.ts for an example. After that you need to add the language to i18n/i18nRoot.ts in the KnownLangs enum where the value must be the same as the language shortcut in this table.",
  "Shortcut": "Shortcut",
  "Are you sure you want to delete this language?": "Are you sure you want to delete this language?",
  "The shortcut code is used to identify the language internally. There must be a lagnuage file (i18n) for that shortcut to work." : "The shortcut code is used to identify the language internally. There must be a lagnuage file (i18n) for that shortcut to work.",
  "At least one language needs to be there" : "At least one language needs to be there",

  "Max number of custom tests per release" : "Max number of custom tests per release",
  "Custom tests are stored in the participation to one release. This is the maximum number of tests the user can create for one release. This will prevent the user from creating more tests than this number but will never deleted old tests. You can use a negative number for unlimited. " : "Custom tests are stored in the participation to one release. This is the maximum number of tests the user can create for one release. This will prevent the user from creating more tests than this number but will never deleted old tests. You can use a negative number for unlimited. ",
  "Max number of custom projects" : "Max number of custom projects",
  "This will prevent the user from creating more custom projects than this number but will never deleted old projects. You can use a negative number for unlimited." : "This will prevent the user from creating more custom projects than this number but will never deleted old projects. You can use a negative number for unlimited.",
  "Max number of tests with one request" : "Max number of tests with one request",
  "The max number of tests the user can run with one request on the normal test server (run all tests button). This must be less or equal to the max allowed tests with one request on the normal test server." : "The max number of tests the user can run with one request on the normal test server (run all tests button). This must be less or equal to the max allowed tests with one request on the normal test server.",
  "Max number of submit tests with one request" : "Max number of submit tests with one request",
  "The max number of submit tests the assessment or user can run with one request on the submit test server. This must be less or equal to the max allowed tests with one request on the submit test server." : "The max number of submit tests the assessment or user can run with one request on the submit test server. This must be less or equal to the max allowed tests with one request on the submit test server.",
  "Test server timeout in ms" : "Test server timeout in ms",
  "The max time to wait for a response from the test server in ms before a timeout error is raised." : "The max time to wait for a response from the test server in ms before a timeout error is raised.",
  "Submit test server timeout in ms" : "Submit test server timeout in ms",
  "The max time to wait for a response from the submit test server in ms before a timeout error is raised." : "The max time to wait for a response from the submit test server in ms before a timeout error is raised.",
  "Test server url" : "Test server url",
  "Submit test server url" : "Submit test server url",
  "Test server stats url" : "Test server stats url",
  "The test server status url to get test server settings." : "The test server status url to get test server settings.",
  "Test server config ui url" : "Test server config ui url",
  "Resets this setting to the initial value" : "Resets this setting to the initial value",

  "Just run program timeout": "Just run program timeout",
  "Just run program compile timeout" : "Just run program compile timeout",
  "Just run program max RAM in kb": "Just run program max RAM in kb",
  "Just run program max disk space in kb": "Just run program max disk space in kb",

  "Custom project test timeout": "Custom project test timeout",
  "Custom project test compile timeout" : "Custom project test compile timeout",
  "Custom project test max RAM in kb": "Custom project test max RAM in kb",
  "Custom project test max disk space in kb": "Custom project test max disk space in kb",

  "Default user group": "Default user group",
  "The default group for all new users": "The default group for all new users",
  "Default group role": "Default group role",
  "The default group role when adding users to a group": "The default group role when adding users to a group",
  "Default group creator role": "Default group creator role",
  "The default role for users who create a new group (needs permission to manage group e.g. to add first users)": "The default role for users who create a new group (needs permission to manage group e.g. to add first users)",

  //--- compare test
  "Compare files options" : "Compare files options",
  "Ignore case": "Ignore case",
  "Ignore all additional empty lines in the user file": "Ignore all additional empty lines in the user file",
  "Ignore leading whitespaces": "Ignore leading whitespaces",
  "This will ignore all leading whitespace characters (including tabs)": "This will ignore all leading whitespace characters (including tabs)",
  "Ignore trailing whitespaces": "Ignore trailing whitespaces",
  "This will ignore all trailing whitespace characters (including tabs)": "This will ignore all trailing whitespace characters (including tabs)",

  "This file cannot be removed because it is part of the compare files test" : "This file cannot be removed because it is part of the compare files test",

  "For a compare files test you need to add files in the test files tab" : "For a compare files test you need to add files in the test files tab",
  "A compare test line must be placed after all black box test lines" : "A compare test line must be placed after all black box test lines",
  "Could not find file with name" : "Could not find file with name",

  "Manage asset files" : "Manage asset files",
  "Attached Files" : "Attached Files",
  "All Files": "All Files",

  "These are all files from custom projects and custom exercise tests." : "These are all files from custom projects and custom exercise tests.",
  "These are all files from exercise tests where you have the group permission to change the exercise and the exercise is visible to all." : "These are all files from exercise tests where you have the group permission to change the exercise and the exercise is visible to all.",
  "These are all files from exercise descriptions where you have the group permission to change the exercise and the exercise is visible to all." : "These are all files from exercise descriptions where you have the group permission to change the exercise and the exercise is visible to all.",

  "Note that when you detach a file and it has no connection to another exercise, it will get deleted!" : "Note that when you detach a file and it has no connection to another exercise then it will get deleted!",
  "Managing assets is only allowed for saved exercises (not for new exercises)": "Managing assets is only allowed for saved exercises (not for new exercises)",
  "All changes to assets are applied immediately in the backend (saving is not needed for this)!": "All changes to assets are applied immediately in the backend (saving is not needed for this)!",
  "Managing test asset files is only allowed for saved tests (not for new tests)": "Managing test asset files is only allowed for saved tests (not for new tests)",


}
